• If this is your first visit, you will have to register before you can post. To view messages, please scroll below and select the forum that you would like to visits. Questions? Be sure to check out the Forum FAQ.

Announcement

Collapse
No announcement yet.

Partner 728x90

Collapse

Microsoft ML.Net requires .NET 4.6.1

Collapse
X
 
  • Filter
  • Time
  • Show
Clear All
new posts

    Microsoft ML.Net requires .NET 4.6.1

    Microsoft has a fantastic Machine Learning framework that I would like to use to build custom indicators and strategies in NinjaTrader. Unfortunately, ML.Net requires at least .net 4.6.1 but NinjaTrader is built with .Net 4.5. .NET 4.5 was released in Aug-2012 and support from Microsoft ended for this version on Jan-2016. Is there anyway to update the .NET version for Ninja so it would be more compatible with new frameworks and libraries being released today?

    #2
    Hello tactevo,

    I will submit a feature request for the development team to consider targeting .NET 4.6.1.
    Once I have a tracking ID for this request I will post in this thread.
    Chelsea B.NinjaTrader Customer Service

    Comment


      #3
      Hello tactevo,

      I have received tracking ID# SFT-3124 for this request for NinjaTrader to target .NET 4.6.1.

      Please note it is up to the NinjaTrader Development to decide if or when any request will be implemented.

      We appreciate your feedback on this.
      Chelsea B.NinjaTrader Customer Service

      Comment


        #4
        Might as well make NT8 work with the latest .NET 4.8 version. There are many improvements in the C# language that I can't use being tied down to .NET Framework 4.5. Doesn't sound like a big difference 4.5 to 4.8 but in reality we are talking about 7 years (2012 to present) worth of .NET/C# improvements and new features. Claiming in your What's New in NT 8, under Performance Enhancements that you are using the latest .NET 4.5 runtime environment is not true any longer. I would like to up vote this feature request please.

        Comment


          #5
          Hello FaaastEddy,

          The Feature Request does track updating .NET in general. I have submitted your vote.

          Thanks for sharing your feedback!
          JimNinjaTrader Customer Service

          Comment


            #6
            Please submit my vote for the update to the latest .Net as well. Thank you.

            Comment


              #7
              Please, add my vote too. Thanks

              Comment


                #8
                Mine, too, please. I'm just getting started with ML.net and had not even realized I could not use it with NT as yet, but given this restriction, I would be unable to proceed with the ideas (within NT, at least), unless this is resolved.

                Comment


                  #9
                  ntbone, cls71, pjsmith,

                  Thanks for taking a moment to provide your voices on this.

                  I've submitted your votes to SFT-3124 as well.
                  Chelsea B.NinjaTrader Customer Service

                  Comment


                    #10
                    Originally posted by pjsmith View Post
                    Mine, too, please. I'm just getting started with ML.net and had not even realized I could not use it with NT as yet, but given this restriction, I would be unable to proceed with the ideas (within NT, at least), unless this is resolved.
                    Same for me, I even wrote quite a lot "using Microsoft.ML;" before first compile.. and lot of design hours wasted.


                    Comment


                      #11
                      Any update on this issue? It's a blocker for some of the most exciting ideas I'd like to implement in NinjaTrader.

                      Comment


                        #12
                        Hello tactevo,

                        SFT-3124 has not been implemented at this time.

                        Please note it is up to the NinjaTrader Development team to decide if or when any request will be implemented.

                        As each new release of NinjaTrader becomes available, please check the release notes for any ID you may have interest in.
                        Once a request or bug fix is implemented, the ID will be listed in the release notes.
                        Chelsea B.NinjaTrader Customer Service

                        Comment


                          #13
                          Please add my vote for SFT-3124.

                          Comment


                            #14
                            Another vote for targeting the highest .NET version possible such as 4.8.
                            Steve L
                            NinjaTrader Ecosystem Vendor - Ninja Mastery

                            Comment


                              #15
                              Hello,

                              caveat_lector and Steve L we appreciate your feedback.

                              Your votes have been added.
                              Chelsea B.NinjaTrader Customer Service

                              Comment

                              Latest Posts

                              Collapse

                              Topics Statistics Last Post
                              Started by ralett, Yesterday, 07:29 PM
                              1 response
                              6 views
                              0 likes
                              Last Post NinjaTrader_Marco  
                              Started by bboyle1234, Yesterday, 10:46 PM
                              1 response
                              5 views
                              0 likes
                              Last Post bltdavid  
                              Started by swcooke, Yesterday, 04:29 PM
                              0 responses
                              5 views
                              0 likes
                              Last Post swcooke
                              by swcooke
                               
                              Started by bboyle1234, Yesterday, 04:27 PM
                              0 responses
                              2 views
                              0 likes
                              Last Post bboyle1234  
                              Started by swcooke, Yesterday, 03:31 PM
                              2 responses
                              12 views
                              0 likes
                              Last Post swcooke
                              by swcooke
                               
                              Working...
                              X